[
	{
		"architecture": "amd64",
		"features": null,
		"variant": null,
		"digest": "sha256:07978a1e9bcf0eaa98f4492259776f002f54a2f331813ece71bd9e3d0b8b82b1",
		"layers": [
			{
				"digest": "sha256:5ae19949497e04289972756fe51cfac1a72b04fe2709e85a615945035c5a9a61",
				"size": 50380042,
				"instruction": "ADD file:2cddee716e84c40540a69c48051bd2dcf6cd3bd02a3e399334e97f20a77126ff in / "
			},
			{
				"size": 0,
				"instruction": " CMD [\"bash\"]"
			},
			{
				"digest": "sha256:ed3d96a2798e8837be24597cabf44ce25585cb9db1d749299cb06d51349ea5c2",
				"size": 7804488,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\tca-certificates \t\tcurl \t\tnetbase \t\twget \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:f1213685078145f6136360475dbaffd0f86dfe92133a7bc26d79602980b255dd",
				"size": 9978163,
				"instruction": "/bin/sh -c set -ex; \tif ! command -v gpg > /dev/null; then \t\tapt-get update; \t\tapt-get install -y --no-install-recommends \t\t\tgnupg \t\t\tdirmngr \t\t; \t\trm -rf /var/lib/apt/lists/*; \tfi"
			},
			{
				"digest": "sha256:1a9ad5d5550bdff7db4c3d035bf9550bcd1de06a7f178a26de1d082591a5b956",
				"size": 51765388,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\tgit \t\tmercurial \t\topenssh-client \t\tsubversion \t\t\t\tprocps \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:6f18049a0455d5e717b580354b515d9ac661e1a28d6ca9d6f7bc85c0dd17a7cf",
				"size": 192264327,
				"instruction": "/bin/sh -c set -ex; \tapt-get update; \tapt-get install -y --no-install-recommends \t\tautoconf \t\tautomake \t\tbzip2 \t\tdpkg-dev \t\tfile \t\tg++ \t\tgcc \t\timagemagick \t\tlibbz2-dev \t\tlibc6-dev \t\tlibcurl4-openssl-dev \t\tlibdb-dev \t\tlibevent-dev \t\tlibffi-dev \t\tlibgdbm-dev \t\tlibgeoip-dev \t\tlibglib2.0-dev \t\tlibgmp-dev \t\tlibjpeg-dev \t\tlibkrb5-dev \t\tliblzma-dev \t\tlibmagickcore-dev \t\tlibmagickwand-dev \t\tlibncurses5-dev \t\tlibncursesw5-dev \t\tlibpng-dev \t\tlibpq-dev \t\tlibreadline-dev \t\tlibsqlite3-dev \t\tlibssl-dev \t\tlibtool \t\tlibwebp-dev \t\tlibxml2-dev \t\tlibxslt-dev \t\tlibyaml-dev \t\tmake \t\tpatch \t\tunzip \t\txz-utils \t\tzlib1g-dev \t\t\t\t$( \t\t\tif apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then \t\t\t\techo 'default-libmysqlclient-dev'; \t\t\telse \t\t\t\techo 'libmysqlclient-dev'; \t\t\tfi \t\t) \t; \trm -rf /var/lib/apt/lists/*"
			},
			{
				"size": 0,
				"instruction": " ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
			},
			{
				"size": 0,
				"instruction": " ENV LANG=C.UTF-8"
			},
			{
				"digest": "sha256:ce39fa9d79d10239f5407e0bf43e2056f10cab5386d7319e220478fbed6a8323",
				"size": 5792282,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\ttk-dev \t\tuuid-dev \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"size": 0,
				"instruction": " ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_VERSION=3.7.4"
			},
			{
				"digest": "sha256:3a91ffcf88eadccd4b196138e3c783070af7e5239688128d2c7ed400289574e4",
				"size": 26568003,
				"instruction": "/bin/sh -c set -ex \t\t&& wget -O python.tar.xz \"https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz\" \t&& wget -O python.tar.xz.asc \"https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc\" \t&& export GNUPGHOME=\"$(mktemp -d)\" \t&& gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys \"$GPG_KEY\" \t&& gpg --batch --verify python.tar.xz.asc python.tar.xz \t&& { command -v gpgconf > /dev/null && gpgconf --kill all || :; } \t&& rm -rf \"$GNUPGHOME\" python.tar.xz.asc \t&& mkdir -p /usr/src/python \t&& tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz \t&& rm python.tar.xz \t\t&& cd /usr/src/python \t&& gnuArch=\"$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)\" \t&& ./configure \t\t--build=\"$gnuArch\" \t\t--enable-loadable-sqlite-extensions \t\t--enable-optimizations \t\t--enable-shared \t\t--with-system-expat \t\t--with-system-ffi \t\t--without-ensurepip \t&& make -j \"$(nproc)\" \t\tPROFILE_TASK='-m test.regrtest --pgo \t\t\ttest_array \t\t\ttest_base64 \t\t\ttest_binascii \t\t\ttest_binhex \t\t\ttest_binop \t\t\ttest_bytes \t\t\ttest_c_locale_coercion \t\t\ttest_class \t\t\ttest_cmath \t\t\ttest_codecs \t\t\ttest_compile \t\t\ttest_complex \t\t\ttest_csv \t\t\ttest_decimal \t\t\ttest_dict \t\t\ttest_float \t\t\ttest_fstring \t\t\ttest_hashlib \t\t\ttest_io \t\t\ttest_iter \t\t\ttest_json \t\t\ttest_long \t\t\ttest_math \t\t\ttest_memoryview \t\t\ttest_pickle \t\t\ttest_re \t\t\ttest_set \t\t\ttest_slice \t\t\ttest_struct \t\t\ttest_threading \t\t\ttest_time \t\t\ttest_traceback \t\t\ttest_unicode \t\t' \t&& make install \t&& ldconfig \t\t&& find /usr/local -depth \t\t\\( \t\t\t\\( -type d -a \\( -name test -o -name tests \\) \\) \t\t\t-o \t\t\t\\( -type f -a \\( -name '*.pyc' -o -name '*.pyo' \\) \\) \t\t\\) -exec rm -rf '{}' + \t&& rm -rf /usr/src/python \t\t&& python3 --version"
			},
			{
				"digest": "sha256:ee82cc8e15068a2e57dec1805ebc11ae639bf10d967bf1b859794756916bd0de",
				"size": 235,
				"instruction": "/bin/sh -c cd /usr/local/bin \t&& ln -s idle3 idle \t&& ln -s pydoc3 pydoc \t&& ln -s python3 python \t&& ln -s python3-config python-config"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_PIP_VERSION=19.2.1"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/404c9418e33c5031b1a9ab623168b3e8a2ed8c88/get-pip.py"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_GET_PIP_SHA256=56bb63d3cf54e7444351256f72a60f575f6d8c7f1faacffae33167afc8e7609d"
			},
			{
				"digest": "sha256:f0fe55e0f617741a0138eef3b2d1a300da7a877d9e53206d3c65d7328dec0a59",
				"size": 1863155,
				"instruction": "/bin/sh -c set -ex; \t\twget -O get-pip.py \"$PYTHON_GET_PIP_URL\"; \techo \"$PYTHON_GET_PIP_SHA256 *get-pip.py\" | sha256sum --check --strict -; \t\tpython get-pip.py \t\t--disable-pip-version-check \t\t--no-cache-dir \t\t\"pip==$PYTHON_PIP_VERSION\" \t; \tpip --version; \t\tfind /usr/local -depth \t\t\\( \t\t\t\\( -type d -a \\( -name test -o -name tests \\) \\) \t\t\t-o \t\t\t\\( -type f -a \\( -name '*.pyc' -o -name '*.pyo' \\) \\) \t\t\\) -exec rm -rf '{}' +; \trm -f get-pip.py"
			},
			{
				"size": 0,
				"instruction": " CMD [\"python3\"]"
			},
			{
				"size": 0,
				"instruction": " ARG VERSION=20190803.01"
			},
			{
				"size": 0,
				"instruction": " ARG wget_lua=http://xor.meo.ws/zEMhOKrjwKi69SIWBdxiQGJ2IpzzSIx4/wget-lua"
			},
			{
				"size": 0,
				"instruction": " ENV LC_ALL=C"
			},
			{
				"digest": "sha256:1f7879d098d1a0827ae0c4e9cb37cb9904b08c29bc928204edd19184b551db56",
				"size": 8241010,
				"instruction": "|2 VERSION=20190803.01 wget_lua=http://xor.meo.ws/zEMhOKrjwKi69SIWBdxiQGJ2IpzzSIx4/wget-lua /bin/sh -c DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io update  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io install rsync liblua5.1-0 libluajit-5.1-2 libidn11  && pip install requests seesaw warcio  && wget \"${wget_lua}\" -O /usr/local/bin/wget-lua  && chmod +x /usr/local/bin/wget-lua  && rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:b20fd304fc72c42021381facad6cd033901da2d61f1ccc3bb54cd8f046ba9a49",
				"size": 93,
				"instruction": "WORKDIR /grab"
			},
			{
				"size": 0,
				"instruction": " STOPSIGNAL SIGINT"
			},
			{
				"size": 0,
				"instruction": " ENTRYPOINT [\"run-pipeline3\" \"--disable-web-server\" \"pipeline.py\"]"
			},
			{
				"digest": "sha256:382c0137254d4fd2f81e75afefea06694fb89311e992737472f84755636d19ed",
				"size": 20479225,
				"instruction": "/bin/sh -c echo deb http://deb.debian.org/debian buster-backports main contrib > /etc/apt/sources.list.d/backports.list  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io update  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io install lua-socket  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io -t buster-backports install zstd libzstd-dev libzstd1  && pip install zstandard"
			},
			{
				"digest": "sha256:5e918eb0fe055c19cc99620668ff45842d17b9d305c68366f63f26e3283acb13",
				"size": 41652,
				"instruction": "COPY dir:b147f69f20381c453cb34683cd66c011613808348e4d9795b15838e7b0ccf866 in /grab "
			},
			{
				"digest": "sha256:c92c648cb36c395ad8a21fa46ca48d83d6936e8122e4f2a5587df3e4a383c1be",
				"size": 783700,
				"instruction": "/bin/sh -c wget -O /grab/wget-at http://xor.meo.ws/-qt0VqH8KqsCm5xAkw1Pc7oeXToeyU0u/wget-lua  && chmod +x /grab/wget-at"
			}
		],
		"os": "linux",
		"os_features": null,
		"os_version": null,
		"size": 375961763,
		"status": "inactive",
		"last_pulled": "2020-10-16T03:32:16.886923Z",
		"last_pushed": null
	}
]